QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions
QXmppSslServer Class Reference

The QXmppSslServer class represents an SSL-enabled TCP server. More...

`#include <QXmppServer.h>`

List of all members.

## Signals
void | newConnection (QSslSocket *socket)
| This signal is emitted when a new connection is established.
## Public Member Functions
| QXmppSslServer (QObject *parent=0)
| ~QXmppSslServer ()
void | addCaCertificates (const QList< QSslCertificate > &certificates)
void | setLocalCertificate (const QSslCertificate &certificate)
void | setPrivateKey (const QSslKey &key)

## Detailed Description

The QXmppSslServer class represents an SSL-enabled TCP server.

## Constructor & Destructor Documentation

QXmppSslServer::QXmppSslServer | ( | QObject * | parent = `0` | ) |

Constructs a new SSL server instance.

Parameters:

  parent |

QXmppSslServer::~QXmppSslServer | ( |  | ) |

Destroys an SSL server instance.

## Member Function Documentation

void QXmppSslServer::addCaCertificates | ( | const QList< QSslCertificate > & | certificates | ) |

Adds the given certificates to the CA certificate database to be used for incoming connnections.

Parameters:

  certificates |

void QXmppSslServer::setLocalCertificate | ( | const QSslCertificate & | certificate | ) |

Sets the local certificate to be used for incoming connections.

Parameters:

  certificate |

void QXmppSslServer::setPrivateKey | ( | const QSslKey & | key | ) |

Sets the local private key to be used for incoming connections.

Parameters:

  key |

The documentation for this class was generated from the following files:

- QXmppServer.h
- QXmppServer.cpp

All Classes Functions Enumerations Enumerator Properties